Page MenuHomePhabricator

Make renameWiki.php actually work
Open, MediumPublic

Description

[01:45:20] <binasher> that script won't work
[01:45:33] <binasher> those are just the shards that are currently being written to
[01:45:56] <binasher> but there are also cluster{1..10} and {20..23}
[01:46:07] <binasher> all of which are read only and not in a replication tree anymore
[01:46:40] <jeremyb_> you can't rename tables on a read only DB... \o/
[01:46:42] <binasher> plus the table naming convention is now blobs_cluster25

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
StalledNone
StalledNone
StalledNone
StalledNone
StalledNone
StalledNone
StalledNone
StalledNone
StalledNone
StalledNone
StalledNone
StalledNone
StalledNone
OpenNone
OpenNone

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:18 AM
bzimport set Reference to bz46141.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Mar 15 2013, 1:54 AM

(In reply to comment #1 by Reedy)

Core table renaming in https://gerrit.wikimedia.org/r/53919

Merged on 2013-05-07.

Reedy: What else is needed to get this fixed?

Reedy added a comment.Oct 23 2013, 1:05 AM

(In reply to comment #2)

Reedy: What else is needed to get this fixed?

Being able to rename stuff in external storage

extension1 too

Change 156189 had a related patch set uploaded by Withoutaname:
Try to make renameWiki.php actually work

https://gerrit.wikimedia.org/r/156189

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2015, 9:39 AM
Qgil added a subscriber: Qgil.Nov 19 2015, 11:45 AM

Can someone review this patch, please? It's among the oldest waiting to be reviewed.

Change 156189 had a related patch set uploaded (by Qgil):
Try to make renameWiki.php actually work

https://gerrit.wikimedia.org/r/156189

Krenair added a subscriber: Krenair.Oct 9 2016, 4:05 AM
Qgil removed a subscriber: Qgil.Aug 28 2017, 7:16 PM

Change 156189 abandoned by Legoktm:
Try to make renameWiki.php actually work

Reason:
AIUI this is not the approach being taken in renaming wikis.

https://gerrit.wikimedia.org/r/156189